org.fourthline.cling.support.renderingcontrol

## Class RenderingControlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.fourthline.cling.model.action.ActionException
      - - org.fourthline.cling.support.renderingcontrol.RenderingControlException

- All Implemented Interfaces:
    Serializable

      public class RenderingControlException
      extends ActionException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderingControlException(ErrorCode errorCode)`
    `RenderingControlException(ErrorCode errorCode, String message)`
    `RenderingControlException(int errorCode, String message)`
    `RenderingControlException(int errorCode, String message, Throwable cause)`
    `RenderingControlException(RenderingControlErrorCode errorCode)`
    `RenderingControlException(RenderingControlErrorCode errorCode, String message)`

  - ### Method Summary

    - ### Methods inherited from class org.fourthline.cling.model.action.ActionException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderingControlException

          public RenderingControlException(int errorCode,
                                   String message)

    - #### RenderingControlException

          public RenderingControlException(int errorCode,
                                   String message,
                                   Throwable cause)

    - #### RenderingControlException

          public RenderingControlException(ErrorCode errorCode,
                                   String message)

    - #### RenderingControlException

          public RenderingControlException(ErrorCode errorCode)

    - #### RenderingControlException

          public RenderingControlException(RenderingControlErrorCode errorCode,
                                   String message)

    - #### RenderingControlException

          public RenderingControlException(RenderingControlErrorCode errorCode)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.